This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 487193 - gnome-mount has hardcoded Requires: PolicyKit-gnome
gnome-mount has hardcoded Requires: PolicyKit-gnome
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target Req-PolicyKit-gnome
  Show dependency treegraph
 
Reported: 2009-02-24 13:04 EST by Kevin Kofler
Modified: 2009-02-27 09:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 09:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-02-24 13:04:47 EST
Description of problem:
gnome-mount has a hardcoded dependency on PolicyKit-gnome. Is this really necessary? In the KDE spin, we would like to ship PolicyKit-kde instead of PolicyKit-gnome. PolicyKit-kde also implements the org.freedesktop.PolicyKit.AuthenticationAgent service.

(gnome-mount is included on the current KDE spin.)

Version-Release number of selected component (if applicable):
gnome-mount-0:0.8-3.fc11

How reproducible:
Always

Steps to Reproduce:
1. repoquery --repoid=rawhide --whatrequires PolicyKit-gnome
  
Actual results:
gnome-mount requires PolicyKit-gnome.

Expected results:
gnome-mount does not require PolicyKit-gnome.

Additional info:
Maybe a common Provides in both PolicyKit-gnome and PolicyKit-kde is needed?
Comment 1 Kevin Kofler 2009-02-24 13:14:45 EST
gnome-mount and system-config-services are the packages actually dragging PolicyKit-gnome onto the KDE spin.
Comment 2 Matthias Clasen 2009-02-27 09:25:42 EST
Changed to require PolicyKit-authentication-agent

Note You need to log in before you can comment on or make changes to this bug.